Subject: RE: How does "per-MN prefix model" simplify things? (was:RE:[netlmm]Re: PMIP follow-up questions)

From: "Templin, Fred L" <[email-masked]>
Date: Fri, 3 Nov 2006 09:24:20 -0800

Pekka,

I presume you had no problem with what I said below
given the non-response.

On a related subject that relates to the NETLMM subnet
model, from reading RFC3627 it seems that you have an
expectation that two routers on a point-to-point link
should configure addresses on their interfaces from a
common prefix, e.g., 2001:DB8::/64. But, could it also be
possible that the two routers configure addresses from
*different* prefixes and still have everything work OK?

Do you think this subject should be addressed in a (bis)?

Thanks - Fred
[email-masked]

-----Original Message-----
From: Templin, Fred L 
Sent: Wednesday, November 01, 2006 11:29 AM
To: Pekka Savola
Cc: Basavaraj Patil; [email-masked]; Soliman,Hesham
Subject: RE: How does "per-MN prefix model" simplify things?
(was:RE:[netlmm]Re: PMIP follow-up questions)

>> I don't understand "link-local packets...in the same
>> "subnet"". As far as I can tell, link-local multicast
>> is independent of (subnet) prefixes assigned on the
>> link. 
>
> This refers to the expectations of protocol designers and application 
> writers.  If a host sends out link-local multicast packet with TTL=1, 
> the application/protocol may expect that it'll in fact be delievered 
> to other nodes in the 'subnet'.  This is the assumption of LLMNR, MDNS

> and such protocols.

"s/subnet/link" above and I could understand it.

> One could possibly argue that there has been no such intent when 
> protocols/apps that use link-local (multicast or unicast) addresses 
> were designed, not supporting those in different links but the same 
> subnet is OK. 
> 
> This is exactly what draft-iab-multilink-subnet-issues is about, see 
> Section 2.

Yes, I have read it several times including the most
recent version.

> Is there something you disagree with in that draft?

No; I agree with the draft. With reference to the above,
Section 2.1 says:

   "Furthermore, a subnet is sometimes considered to 
    be only a subset of a link, when multiple subnets are
    assigned to the same link."

By my read of that text, that means that a link-scoped
multicast sent on a link could be received by interfaces
that do not configure the same prefixes as those assigned
to the sending interface.

In other words, subnet-scope <= link-scope.

Fred
[email-masked]

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm